## org.eclipse.jst.jsf.metadataprocessors
Class AbstractMetaDataEnabledFeature

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature

All Implemented Interfaces:
  IMetaDataEnabledFeature

Direct Known Subclasses:
  AbstractRootTypeDescriptor, FacesConfigIdentifierFeatures

    public abstract class AbstractMetaDataEnabledFeature

extends java.lang.Object
implements IMetaDataEnabledFeature

Simple abstract class that implementers of `IMetaDataEnabledFeature` can subclass in the TagLibDomain of metadata

Provisional API - subject to change

*

Constructor Summary
`AbstractMetaDataEnabledFeature()`

Method Summary
`MetaDataContext` `getMetaDataContext()` Gets metadata model context that this feature will be operating on.
`IStructuredDocumentContext` `getStructuredDocumentContext()` Gets structured document context that this feature will operating on
`void` `setMetaDataContext(MetaDataContext context)` Sets metadata model context that this feature will operating on
`void` `setStructuredDocumentContext(IStructuredDocumentContext context)` Sets structured document context that this feature will operating on

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractMetaDataEnabledFeature

    public AbstractMetaDataEnabledFeature()

Method Detail

### setMetaDataContext

    public void setMetaDataContext(MetaDataContext context)

  Description copied from interface: `IMetaDataEnabledFeature`
  Sets metadata model context that this feature will operating on

  Specified by:
    `setMetaDataContext` in interface `IMetaDataEnabledFeature`

### getMetaDataContext

    public MetaDataContext getMetaDataContext()

  Description copied from interface: `IMetaDataEnabledFeature`
  Gets metadata model context that this feature will be operating on.

  Specified by:
    `getMetaDataContext` in interface `IMetaDataEnabledFeature`
  Returns:
    MetaDataContext

### setStructuredDocumentContext

    public void setStructuredDocumentContext(IStructuredDocumentContext context)

  Description copied from interface: `IMetaDataEnabledFeature`
  Sets structured document context that this feature will operating on

  Specified by:
    `setStructuredDocumentContext` in interface `IMetaDataEnabledFeature`

### getStructuredDocumentContext

    public IStructuredDocumentContext getStructuredDocumentContext()

  Description copied from interface: `IMetaDataEnabledFeature`
  Gets structured document context that this feature will operating on

  Specified by:
    `getStructuredDocumentContext` in interface `IMetaDataEnabledFeature`
  Returns:
    IStructuredDocumentContext